Subject: Re: linux-next: powerpc build failure

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 10 Jun 2008 17:20:09 +1000

On Tue, 2008-06-10 at 16:54 +1000, Stephen Rothwell wrote:
> Hi Paul,
> 
> Today's linux-next tree build (powerpc ppc64_defconfig) failed like this:
> 
>   UPD     include/linux/compile.h
> arch/powerpc/mm/built-in.o: In function `ht64_insert_pte':
> hash_native_64.c:(.text+0x4756): undefined reference to `_PAGE_HPTE_SUB0'
> 
> I have reverted commit 2d9a973b0fee245af43b73412a08e88bc955644d
> ("powerpc: Free a PTE bit on ppc64 with 64K pages") for now.

Yup, that's the way to go. It's broken, I'll have to do things a bit
differently, I "forgot" our 64K SPU hack when using 4K pages assumes
we have the same PTE format :-( I'll have to implement a separate low
level asm function for hashing 64K pages on a 4K kernel.

Ben.